Main Page Widgets Namespaces Book

# Glib::Value< Glib::RefPtr< Gtk::RecentInfo > > Class Template Reference

Inheritance diagram for Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >:

[legend]

List of all members.

## Public Types
typedef Glib::RefPtr <Gtk::RecentInfo> | CppType
typedef GtkRecentInfo* | CType
## Public Member Functions
CppType | get () const
void | set (const CppType& data)
## Static Public Member Functions
static GType | value_type ()

### template<>
class Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >

## Member Typedef Documentation

typedef Glib::RefPtr<Gtk::RecentInfo> Glib::Value<Glib::RefPtr<Gtk::RecentInfo>>::CppType

typedef GtkRecentInfo* Glib::Value<Glib::RefPtr<Gtk::RecentInfo>>::CType

## Member Function Documentation

CppType Glib::Value<Glib::RefPtr<Gtk::RecentInfo>>::get | ( |  | ) | const

void Glib::Value<Glib::RefPtr<Gtk::RecentInfo>>::set | ( | const CppType& | data | ) |

static GType Glib::Value<Glib::RefPtr<Gtk::RecentInfo>>::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- recentinfo.h